<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for yolcuBagajEkle StructType
 * Meta information extracted from the WSDL
 * - type: tns:yolcuBagajEkle
 * @subpackage Structs
 */
class YolcuBagajEkle extends AbstractStructBase
{
    /**
     * The wsuser
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\UetdsYtsUser
     */
    public $wsuser;
    /**
     * The uetdsSeferReferansNo
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $uetdsSeferReferansNo;
    /**
     * The bagajBilgileri
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * @var \StructType\UetdsSeferBagajBilgileriInput[]
     */
    public $bagajBilgileri;
    /**
     * Constructor method for yolcuBagajEkle
     * @uses YolcuBagajEkle::setWsuser()
     * @uses YolcuBagajEkle::setUetdsSeferReferansNo()
     * @uses YolcuBagajEkle::setBagajBilgileri()
     * @param \StructType\UetdsYtsUser $wsuser
     * @param int $uetdsSeferReferansNo
     * @param \StructType\UetdsSeferBagajBilgileriInput[] $bagajBilgileri
     */
    public function __construct(\StructType\UetdsYtsUser $wsuser = null, $uetdsSeferReferansNo = null, array $bagajBilgileri = array())
    {
        $this
            ->setWsuser($wsuser)
            ->setUetdsSeferReferansNo($uetdsSeferReferansNo)
            ->setBagajBilgileri($bagajBilgileri);
    }
    /**
     * Get wsuser value
     * @return \StructType\UetdsYtsUser|null
     */
    public function getWsuser()
    {
        return $this->wsuser;
    }
    /**
     * Set wsuser value
     * @param \StructType\UetdsYtsUser $wsuser
     * @return \StructType\YolcuBagajEkle
     */
    public function setWsuser(\StructType\UetdsYtsUser $wsuser = null)
    {
        $this->wsuser = $wsuser;
        return $this;
    }
    /**
     * Get uetdsSeferReferansNo value
     * @return int|null
     */
    public function getUetdsSeferReferansNo()
    {
        return $this->uetdsSeferReferansNo;
    }
    /**
     * Set uetdsSeferReferansNo value
     * @param int $uetdsSeferReferansNo
     * @return \StructType\YolcuBagajEkle
     */
    public function setUetdsSeferReferansNo($uetdsSeferReferansNo = null)
    {
        // validation for constraint: int
        if (!is_null($uetdsSeferReferansNo) && !(is_int($uetdsSeferReferansNo) || ctype_digit($uetdsSeferReferansNo))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($uetdsSeferReferansNo, true), gettype($uetdsSeferReferansNo)), __LINE__);
        }
        $this->uetdsSeferReferansNo = $uetdsSeferReferansNo;
        return $this;
    }
    /**
     * Get bagajBilgileri value
     * @return \StructType\UetdsSeferBagajBilgileriInput[]|null
     */
    public function getBagajBilgileri()
    {
        return $this->bagajBilgileri;
    }
    /**
     * This method is responsible for validating the values passed to the setBagajBilgileri method
     * This method is willingly generated in order to preserve the one-line inline validation within the setBagajBilgileri method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateBagajBilgileriForArrayConstraintsFromSetBagajBilgileri(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $yolcuBagajEkleBagajBilgileriItem) {
            // validation for constraint: itemType
            if (!$yolcuBagajEkleBagajBilgileriItem instanceof \StructType\UetdsSeferBagajBilgileriInput) {
                $invalidValues[] = is_object($yolcuBagajEkleBagajBilgileriItem) ? get_class($yolcuBagajEkleBagajBilgileriItem) : sprintf('%s(%s)', gettype($yolcuBagajEkleBagajBilgileriItem), var_export($yolcuBagajEkleBagajBilgileriItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The bagajBilgileri property can only contain items of type \StructType\UetdsSeferBagajBilgileriInput, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set bagajBilgileri value
     * @throws \InvalidArgumentException
     * @param \StructType\UetdsSeferBagajBilgileriInput[] $bagajBilgileri
     * @return \StructType\YolcuBagajEkle
     */
    public function setBagajBilgileri(array $bagajBilgileri = array())
    {
        // validation for constraint: array
        if ('' !== ($bagajBilgileriArrayErrorMessage = self::validateBagajBilgileriForArrayConstraintsFromSetBagajBilgileri($bagajBilgileri))) {
            throw new \InvalidArgumentException($bagajBilgileriArrayErrorMessage, __LINE__);
        }
        $this->bagajBilgileri = $bagajBilgileri;
        return $this;
    }
    /**
     * Add item to bagajBilgileri value
     * @throws \InvalidArgumentException
     * @param \StructType\UetdsSeferBagajBilgileriInput $item
     * @return \StructType\YolcuBagajEkle
     */
    public function addToBagajBilgileri(\StructType\UetdsSeferBagajBilgileriInput $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\UetdsSeferBagajBilgileriInput) {
            throw new \InvalidArgumentException(sprintf('The bagajBilgileri property can only contain items of type \StructType\UetdsSeferBagajBilgileriInput, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->bagajBilgileri[] = $item;
        return $this;
    }
}
